#!/bin/sh

pkg='MJHbar'
ver='1.0'

pwd=`pwd`
date=`date '+%Y-%m-%d %H:%M'`

umask 0
rm -rf spool/*

cp -r skel/* spool

( 
  cat include/prototype ; 
  cat include/filelist | pkgproto 
) | sed -e "s#@PWD@#${pwd}#g" \
  > spool/prototype

(
  cat include/pkginfo
) | sed -e "s#@PKG@#${pkg}#g" \
        -e "s#@DATE@#${date}#g" \
        -e "s#@VER@#${ver}#g" \
  > spool/pkginfo

pkgmk -b ${pwd}/root \
  -f ${pwd}/spool/prototype \
  -d ${pwd}/spool -r / -o ${pkg}

pkgtrans -os ${pwd}/spool ${pwd}/spool/${pkg}.pkg ${pkg}
gzip ${pwd}/spool/${pkg}.pkg

