#!/bin/sh

pkg='MJHfoo'
ver='1.0'

pwd=`pwd`
date=`date '+%Y-%m-%d %H:%M'`
patchid="${pkg}-02"
obsoletes="${pkg}-01"

umask 0
rm -rf spool/*

cp -r skel/* spool
mv spool/root/README spool/root/README.${patchid}
mv spool/root spool/${patchid}

( 
  cat include/prototype ; pkgproto ${pwd}/root= 
) | sed -e "s#@PWD@#${pwd}#g" \
  > spool/prototype

(
  cat include/pkginfo
) | sed -e "s#@PKG@#${pkg}#g" \
        -e "s#@DATE@#${date}#g" \
        -e "s#@PATCHID@#${patchid}#g" \
        -e "s#@OBSOLETES@#${obsoletes}#g" \
        -e "s#@VER@#${ver}#g" \
  > spool/pkginfo

pkgmk -b ${pwd}/root \
  -f ${pwd}/spool/prototype \
  -d ${pwd}/spool/${patchid} -o ${pkg}

(
  cd spool
  zip -r ${patchid}.zip ${patchid}
)
